#ifndef INC_winutils_h__
#define INC_winutils_h__

#include "tcl.h"

/* We need at least the Tcl_Obj interface that was started in 8.0 */
#if TCL_MAJOR_VERSION < 8
#   error "we need Tcl 8.0 or greater to build this"

/* Check for Stubs compatibility when asked for it. */
#elif defined(USE_TCL_STUBS) && TCL_MAJOR_VERSION == 8 && \
	(TCL_MINOR_VERSION == 0 || \
        (TCL_MINOR_VERSION == 1 && TCL_RELEASE_LEVEL != TCL_FINAL_RELEASE))
#   error "Stubs interface doesn't work in 8.0 and alpha/beta 8.1; only 8.1.0+"
#endif

//Tcl_PackageInitProc Dialogbox_Init;
Tcl_PackageInitProc Dirwatch_Init;
Tcl_PackageInitProc Hotkey_Init;
Tcl_PackageInitProc Keylock_Init;
Tcl_PackageInitProc Launch_Init;
Tcl_PackageInitProc Perfmon_Init;
Tcl_PackageInitProc ProcessExtras_Init;
Tcl_PackageInitProc Reg9XService_Init;
Tcl_PackageInitProc Shell_Init;
Tcl_PackageInitProc SendMsg_Init;
Tcl_PackageInitProc Uptime_Init;
Tcl_PackageInitProc Vol_Init;
Tcl_PackageInitProc Winhelp_Init;
Tcl_PackageInitProc Winsockmisc_Init;

#endif