load [file join [file dirname [info script]] winutils08.dll]
#load winutils08.dll

itcl::class ::winutils::hotkey {
    constructor {keyString script} {
	_initHotkey $keyString $script
    }
    destructor {
	_destroyHotkey
    }
    public {
	method destroy {} {itcl::delete object $this}
    }
    private {
	method _initHotkey {keyString script} @winutils-hotkey-construct
	method _destroyHotkey {}  @winutils-hotkey-destruct
    }
}

itcl::class ::winutils::dirwatch {
    constructor {directory script} {
	_initDirwatch $directory $script
    }
    destructor {
	_destroyDirwatch
    }
    public {
	method destroy {} {itcl::delete object $this}
    }
    private {
	method _initDirwatch {directory script} @winutils-dirwatch-construct
	method _destroyDirwatch {}  @winutils-dirwatch-destruct
    }
}

proc ::winutils::duration { int_time } {
    set timeList [list]
    foreach div {86400 3600 60 1} mod {0 24 60 60} name {day hr min sec} {
        set n [expr {$int_time / $div}]
        if {$mod > 0} {set n [expr {$n % $mod}]}
        if {$n > 1} {
            lappend timeList "$n ${name}s"
        } elseif {$n == 1} {
            lappend timeList "$n $name"
        }
    }
    return [join $timeList]
}